package io.xjar;

import java.io.IOException;
import java.io.OutputStream;
import java.io.InputStream;
import java.io.FileOutputStream;
import java.io.FileInputStream;
import java.io.File;
import io.xjar.key.XKey;

public class XNopDecryptor implements XDecryptor
{
    @Override
    public void decrypt(final XKey key, final File src, final File dest) throws IOException {
        try (FileInputStream fis = new FileInputStream(src);
             FileOutputStream fos = new FileOutputStream(dest)) {
            this.decrypt(key, fis, fos);
        }
    }
    
    @Override
    public void decrypt(final XKey key, final InputStream in, final OutputStream out) throws IOException {
        XKit.transfer(in, out);
    }
    
    @Override
    public InputStream decrypt(final XKey key, final InputStream in) throws IOException {
        return in;
    }
    
    @Override
    public OutputStream decrypt(final XKey key, final OutputStream out) throws IOException {
        return out;
    }
}
